﻿using SqlSugar;

namespace Hotline;

public class Position
{
    /// <summary>
    /// 经度
    /// </summary>
    public double Longitude { get; set; }

    /// <summary>
    /// 维度
    /// </summary>
    public double Latitude { get; set; }

    /// <summary>
    /// 行政区划编码
    /// </summary>
    public string AreaCode { get; set; }
    public string Province { get; set; }
    public string City { get; set; }
    public string County { get; set; }
    public string Street { get; set; }

    [SugarColumn(IsIgnore = true)]
    public string Address => $"{Province}{City}{County}{Street}";
}