﻿
namespace Hotline.Share.Requests
{
    public record PagedRequest
    {
        public int PageIndex { get; set; } = 1;
        public int PageSize { get; set; } = 10;

        public int Skip() => (PageIndex - 1) * PageSize;
    }

    public record PagedKeywordRequest : PagedRequest
    {
        public string? Keyword { get; set; }
    }
}
